require 'uu/os/rest/dto'

module UU
  module OS
    
      module Attachment

        class AttachmentCheckOut < UU::OS::REST::DTO

          # Specifies whether to return attachment binary data. When true is set, attachment binary data
          # ill be returned, if false or nil is set, nil will be returned.
          attr_accessor :return_stream_handler

          def return_stream_handler 
            attributes[:returnStreamHandler]
          end

          def return_stream_handler=(val) 
            attributes[:returnStreamHandler] = val
          end

        end

      end
    end

end
