require 'uu/os/rest/paging_criteria'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Permission.
    module Permission
      # @see Permission#get_authority_list
      class PermissionGetAuthorityList < UU::OS::REST::PagingCriteria

        # @see Permission#get_authority_list
        attr_accessor :query
        def query
          attributes[:query]
        end

        def query=(val)
          attributes[:query] = val
        end
      end
    end
  end
end

